Bug 469751 - Evolution emits warnings on startup
Evolution emits warnings on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 16:05 EST by Christopher Beland
Modified: 2018-04-11 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 22:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-11-03 16:05:50 EST
With evolution-2.24.1-2.fc10.x86_64, I get the following warnings when I start the application for the first time after upgrading to Fedora 10 Snap 3 from Fedora 9:

>>
evolution-smime-WARNING **: initializing security library without cert databases.
camel-WARNING **: camel_exception_get_id called with NULL parameter.
addressbook_migrate (2.22.0)
e-data-server-DEBUG: Loaded default categories
e-data-server-DEBUG: Saving categories to "/home/beland/.evolution/categories.xml"
<<

Whenever I start up the application remotely (via ssh), I get the following error:

>>
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.AccessDenied) A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.NetworkManager" member "state" error name "(unset)" destination "org.freedesktop.NetworkManager")
<<

Every time I start up the application from the command line, remotely or otherwise, I get the following warnings:

>>
** (evolution:21996): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:21996): DEBUG: mailto URL program: evolution
(evolution:21996): Bonobo-WARNING **: Could not find GNOME pixmap file /usr/share/icons/gnome/24x24/apps/evolution-mail.png
(evolution:21996): Bonobo-WARNING **: Could not find GNOME pixmap file /usr/share/icons/gnome/24x24/apps/evolution-tasks.png
<<

The last 2 are repeated many times.  The referenced files don't exist, but these do:

/usr/share/icons/hicolor/24x24/apps/evolution-mail.png
/usr/share/icons/hicolor/24x24/apps/evolution-tasks.png
Comment 1 Bug Zapper 2008-11-25 23:42:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Christopher Beland 2009-01-16 01:42:40 EST
With evolution-2.25.4-1.fc11.x86_64 via ssh, I am now only getting:

** (evolution:5360): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:5360): DEBUG: mailto URL program: evolution

Are these debugging messages really necessary when the --debug option is not used?
Comment 3 Mike Chambers 2009-03-07 09:07:44 EST
Are you still seeing this and which version are you now using?  Is this for current rawhide, or still Fedora 10?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matěj Cepl 2009-05-18 07:57:16 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Christopher Beland 2009-05-19 03:44:25 EDT
I am still seeing:

** (evolution:27164): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:27164): DEBUG: mailto URL program: evolution

in evolution-2.26.1-2.fc11.x86_64 (which you can tell from the version number is Fedora 11 Rawhide).
Comment 6 Bug Zapper 2009-06-09 05:50:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Davide Rossetti 2009-06-26 11:12:49 EDT
I'm seeing similar thing on F11 x86_64 (upgraded from F10) with an already configured IMAP account:

$ rpm -qa evolution\*
evolution-data-server-debuginfo-2.26.2-1.fc11.x86_64
evolution-2.26.2-1.fc11.x86_64
evolution-debuginfo-2.26.2-1.fc11.x86_64
evolution-data-server-doc-2.26.2-1.fc11.noarch
evolution-data-server-2.26.2-1.fc11.x86_64

$ evolution

(evolution:22313): camel-WARNING **: camel_exception_get_id called with NULL parameter.

and opens the bug reporting tool.

installed debuginfo and tried gdb:
$ sudo debuginfo-install evolution-2.26.2-1.fc11.x86_64
...
$ gdb evolution
GNU gdb (GDB) Fedora (6.8.50.20090302-27.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]

(evolution:22342): camel-WARNING **: camel_exception_get_id called with NULL parameter.
[New Thread 0x7fffe7589910 (LWP 22350)]
[New Thread 0x7fffe6b88910 (LWP 22351)]
[New Thread 0x7fffe5f5f910 (LWP 22352)]
[New Thread 0x7fffe555e910 (LWP 22353)]
[New Thread 0x7fffe4b5d910 (LWP 22354)]

Program received signal SIGSEGV, Segmentation fault.
0x00007fffe5f78ee6 in get_folder_info_offline (store=0x9f2000, top=<value optimized out>, flags=7, 
    ex=<value optimized out>) at camel-imap-store.c:2802
2802				name = g_strdup(imap_store->summary->namespace->full_name);
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.4.8-1.fc11.x86_64 avahi-0.6.25-1.fc11.x86_64 avahi-glib-0.6.25-1.fc11.x86_64 bluez-libs-4.37-2.fc11.x86_64 bug-buddy-2.26.0-2.fc11.x86_64 bzip2-libs-1.0.5-5.fc11.x86_64 cyrus-sasl-lib-2.1.22-22.fc11.x86_64 db4-4.7.25-11.fc11.x86_64 e2fsprogs-libs-1.41.4-10.fc11.x86_64 elfutils-libelf-0.141-1.fc11.x86_64 expat-2.0.1-6.x86_64 gamin-0.1.10-4.fc11.x86_64 gnome-keyring-2.26.1-1.fc11.x86_64 gnutls-2.6.6-1.fc11.x86_64 gtk-nodoka-engine-0.7.2-4.fc11.x86_64 gvfs-1.2.3-6.fc11.x86_64 keyutils-libs-1.2-5.fc11.x86_64 krb5-libs-1.6.3-20.fc11.x86_64 libXau-1.0.4-5.fc11.x86_64 libXcomposite-0.4.0-7.fc11.x86_64 libXcursor-1.1.9-4.fc11.x86_64 libXdamage-1.1.1-6.fc11.x86_64 libXext-1.0.99.1-2.fc11.x86_64 libXfixes-4.0.3-5.fc11.x86_64 libXi-1.2.1-1.fc11.x86_64 libXinerama-1.0.3-4.fc11.x86_64 libXrandr-1.2.99.4-3.fc11.x86_64 libXrender-0.9.4-5.fc11.x86_64 libattr-2.4.43-3.fc11.x86_64 libcanberra-0.12-1.fc11.x86_64 libcanberra-gtk2-0.12-1.fc11.x86_64 libcap-2.16-2.fc11.x86_64 libcroco-0.6.2-2.fc11.x86_64 libgcc-4.4.0-4.x86_64 libgcrypt-1.4.4-4.fc11.x86_64 libgpg-error-1.6-3.x86_64 libgsf-1.14.11-3.fc11.x86_64 libogg-1.1.3-11.fc11.x86_64 libpng-1.2.37-1.fc11.x86_64 librsvg2-2.26.0-1.fc11.x86_64 libselinux-2.0.80-1.fc11.x86_64 libstdc++-4.4.0-4.x86_64 libtasn1-1.8-2.fc11.x86_64 libtdb-1.1.3-14.fc11.x86_64 libtool-ltdl-2.2.6-11.fc11.x86_64 libusb-0.1.12-21.fc11.x86_64 libvorbis-1.2.0-7.fc11.x86_64 libxcb-1.2-3.fc11.x86_64 openssl-0.9.8k-5.fc11.x86_64 pixman-0.14.0-2.fc11.x86_64 zlib-1.2.3-22.fc11.x86_64
(gdb) bt
#0  0x00007fffe5f78ee6 in get_folder_info_offline (store=0x9f2000, top=<value optimized out>, flags=7, 
    ex=<value optimized out>) at camel-imap-store.c:2802
#1  0x00007fffe5f7901a in get_folder_info (store=0x9f2000, top=0x7fffe5f818fe "", flags=7, ex=<value optimized out>)
    at camel-imap-store.c:2768
#2  0x00007ffff660cc01 in camel_store_get_folder_info (store=0x9f2000, top=0x0, flags=7, ex=0x7fffffffd9f0)
    at camel-store.c:894
#3  0x00007fffecaa98eb in migrate_to_db () at em-migrate.c:3018
#4  0x00007fffecaab5fc in em_migrate (evolution_dir=0x713880 "/storape1/home2/homedirs/rossetti/.evolution", major=2, 
    minor=<value optimized out>, revision=<value optimized out>, ex=<value optimized out>) at em-migrate.c:3144
#5  0x00007fffecab8122 in impl_upgradeFromVersion (servant=<value optimized out>, major=-27568, minor=21, revision=0, 
    ev=0x7fffffffdcd0) at mail-component.c:1080
#6  0x00007ffff7df2d54 in GNOME_Evolution_Component_upgradeFromVersion (_obj=0x0, major=2, minor=22, revision=0, 
    ev=<value optimized out>) at Evolution-stubs.c:88
#7  0x000000000040e8fd in attempt_upgrade (revision=<value optimized out>, minor=<value optimized out>, 
    major=<value optimized out>, shell=<value optimized out>) at e-shell.c:619
#8  e_shell_attempt_upgrade (revision=<value optimized out>, minor=<value optimized out>, major=<value optimized out>, 
    shell=<value optimized out>) at e-shell.c:848
#9  0x000000000040efbe in e_shell_construct (shell=0x6ae9e0, iid=0x417778 "OAFIID:GNOME_Evolution_Shell:2.26", 
    startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG) at e-shell.c:696
#10 0x000000000040f0df in e_shell_new (startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG, 
    construct_result_return=0x7fffffffdefc) at e-shell.c:744
#11 0x000000000041663f in idle_cb (uris=0x0) at main.c:336
#12 0x00000030c2e37afe in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#13 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#14 0x00000030c2e3b1d8 in g_main_context_iterate (context=0x663c70, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2445
#15 0x00000030c2e3b635 in IA__g_main_loop_run (loop=0x6d94b0) at gmain.c:2653
#16 0x00000030d582d026 in bonobo_main () at bonobo-main.c:311
#17 0x00000000004162ba in main (argc=<value optimized out>, argv=<value optimized out>) at main.c:704
Comment 8 Matthew Barnes 2009-07-02 22:49:21 EDT
Closing per comment #5, since remaining messages are only informational.

Note You need to log in before you can comment on or make changes to this bug.